com.independentsoft.exchange

## Class ContactsView

- java.lang.Object
- - com.independentsoft.exchange.View
  - - com.independentsoft.exchange.ContactsView

-     public class ContactsView
      extends View

  Defines a search for contact items based on alphabetical display names.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContactsView()` Initializes a new instance of the ContactsView class.
    `ContactsView(java.lang.String initialName, java.lang.String finalName)` Initializes a new instance of the ContactsView class.
    `ContactsView(java.lang.String initialName, java.lang.String finalName, int maxEntriesReturned)` Initializes a new instance of the ContactsView class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFinalName()` Gets the last name in the contacts list to return in the response.
    `java.lang.String` | `getInitialName()` Gets the first name in the contacts list to return in the response.
    `void` | `setFinalName(java.lang.String finalName)` Sets the last name in the contacts list to return in the response.
    `void` | `setInitialName(java.lang.String initialName)` Sets the first name in the contacts list to return in the response.

    - ### Methods inherited from class com.independentsoft.exchange.View

      `getMaxEntriesReturned, setMaxEntriesReturned`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactsView

          public ContactsView()

      Initializes a new instance of the ContactsView class.

    - #### ContactsView

          public ContactsView(java.lang.String initialName,
                              java.lang.String finalName)

      Initializes a new instance of the ContactsView class.
      Parameters:
        `initialName` - the initial name
        `finalName` - the final name

    - #### ContactsView

          public ContactsView(java.lang.String initialName,
                              java.lang.String finalName,
                              int maxEntriesReturned)

      Initializes a new instance of the ContactsView class.
      Parameters:
        `initialName` - the initial name
        `finalName` - the final name
        `maxEntriesReturned` - the max entries returned

  - ### Method Detail

    - #### getInitialName

          public java.lang.String getInitialName()

      Gets the first name in the contacts list to return in the response.
      Returns:
        the initial name

    - #### setInitialName

          public void setInitialName(java.lang.String initialName)

      Sets the first name in the contacts list to return in the response.
      Parameters:
        `initialName` - the new initial name

    - #### getFinalName

          public java.lang.String getFinalName()

      Gets the last name in the contacts list to return in the response.
      Returns:
        the final name

    - #### setFinalName

          public void setFinalName(java.lang.String finalName)

      Sets the last name in the contacts list to return in the response.
      Parameters:
        `finalName` - the new final name